# Uses of Class
org.springframework.jdbc.core.simple.SimpleJdbcInsert

Packages that use SimpleJdbcInsert
Package
Description
org.springframework.jdbc.core.simple
Simplification layer for common JDBC interactions.

## Uses of SimpleJdbcInsert in org.springframework.jdbc.core.simple

Methods in org.springframework.jdbc.core.simple that return SimpleJdbcInsert
Modifier and Type
Method
Description
`SimpleJdbcInsert`
SimpleJdbcInsert.`includeSynonymsForTableColumnMetaData()`
`SimpleJdbcInsert`
SimpleJdbcInsert.`usingColumns(String... columnNames)`
`SimpleJdbcInsert`
SimpleJdbcInsert.`usingGeneratedKeyColumns(String... columnNames)`
`SimpleJdbcInsert`
SimpleJdbcInsert.`usingQuotedIdentifiers()`
`SimpleJdbcInsert`
SimpleJdbcInsert.`withCatalogName(String catalogName)`
`SimpleJdbcInsert`
SimpleJdbcInsert.`withoutTableColumnMetaDataAccess()`
`SimpleJdbcInsert`
SimpleJdbcInsert.`withSchemaName(String schemaName)`
`SimpleJdbcInsert`
SimpleJdbcInsert.`withTableName(String tableName)`